From 042ab90c85fc6a3125b9207ad81383131fa431ff Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Tue, 13 Aug 2013 15:56:50 -0400
Subject: [PATCH] Moved Tomcat-based TPS to separate folder.

The source files for the new Tomcat-based TPS has been moved from base/tps
to base/tps-tomcat. The new TPS will now be build in pki-core and packaged
in pki-tps-tomcat RPM. The old TPS and RA have been restored to the previous
state before adding the new TPS. Once the new TPS is complete, the old TPS
can be removed, the new TPS can be moved back to base/tps and the package
can be renamed back to pki-tps.

Ticket #702
---
 .classpath                                         |    2 +-
 base/CMakeLists.txt                                |    1 +
 base/ra/CMakeLists.txt                             |    2 +-
 base/ra/{shared/conf => doc}/CMakeLists.txt        |    0
 base/ra/{shared/conf => doc}/CS.cfg.in             |    0
 base/tps-tomcat/CMakeLists.txt                     |   67 +
 base/tps-tomcat/LICENSE                            |  469 ++++
 base/{tps => tps-tomcat}/java/CMakeLists.txt       |    0
 .../java/org/dogtagpki/tps/TPSConnection.java      |    0
 .../java/org/dogtagpki/tps/TPSMessage.java         |    0
 .../org/dogtagpki/tps/server/TPSApplication.java   |    0
 .../java/org/dogtagpki/tps/server/TPSServlet.java  |    0
 .../org/dogtagpki/tps/server/TPSSubsystem.java     |    0
 .../org/dogtagpki/tps/token/TokenDatabase.java     |    0
 .../java/org/dogtagpki/tps/token/TokenRecord.java  |    0
 .../java/org/dogtagpki/tps/token/TokenService.java |    0
 base/{tps => tps-tomcat}/java/pki-tps.mf           |    0
 base/tps-tomcat/setup/CMakeLists.txt               |    6 +
 base/tps-tomcat/setup/registry_instance            |   60 +
 .../{tps => tps-tomcat}/shared/conf/CMakeLists.txt |    0
 base/{tps => tps-tomcat}/shared/conf/CS.cfg.in     |    0
 base/{tps => tps-tomcat}/shared/conf/acl.ldif      |    0
 .../shared/conf/catalina.policy                    |    0
 .../shared/conf/catalina.properties                |    0
 base/{tps => tps-tomcat}/shared/conf/context.xml   |    0
 base/{tps => tps-tomcat}/shared/conf/database.ldif |    0
 base/{tps => tps-tomcat}/shared/conf/db.ldif       |    0
 .../shared/conf/etc/init.d/pki-tpsd                |    0
 base/{tps => tps-tomcat}/shared/conf/index.ldif    |    0
 base/{tps => tps-tomcat}/shared/conf/jk2.manifest  |    0
 .../{tps => tps-tomcat}/shared/conf/jk2.properties |    0
 .../{tps => tps-tomcat}/shared/conf/jkconf.ant.xml |    0
 .../shared/conf/jkconfig.manifest                  |    0
 .../shared/conf/logging.properties                 |    0
 base/{tps => tps-tomcat}/shared/conf/manager.ldif  |    0
 base/{tps => tps-tomcat}/shared/conf/schema.ldif   |    0
 .../shared/conf/server-minimal.xml                 |    0
 base/{tps => tps-tomcat}/shared/conf/server.xml    |    0
 base/{tps => tps-tomcat}/shared/conf/shm.manifest  |    0
 .../shared/conf/tomcat-jk2.manifest                |    0
 .../shared/conf/tomcat-users.xml                   |    0
 base/{tps => tps-tomcat}/shared/conf/tomcat6.conf  |    0
 .../shared/conf/uriworkermap.properties            |    0
 base/{tps => tps-tomcat}/shared/conf/web.xml       |    0
 .../shared/conf/workers.properties                 |    0
 .../shared/conf/workers.properties.minimal         |    0
 .../shared/conf/workers2.properties                |    0
 .../shared/conf/workers2.properties.minimal        |    0
 .../{tps => tps-tomcat}/shared/etc/init.d/pki-tpsd |    0
 .../shared/lib/systemd/system/pki-tpsd.target      |    0
 .../shared/lib/systemd/system/pki-tpsd@.service    |    0
 .../shared/webapps/tps/404.html                    |    0
 .../shared/webapps/tps/500.html                    |    0
 .../shared/webapps/tps/GenUnexpectedError.template |    0
 .../shared/webapps/tps/META-INF/context.xml        |    0
 .../shared/webapps/tps/WEB-INF/auth.properties     |    0
 .../shared/webapps/tps/WEB-INF/velocity.properties |    0
 .../shared/webapps/tps/WEB-INF/web.xml             |    0
 .../shared/webapps/tps/index.html                  |    0
 .../shared/webapps/tps/services.template           |    0
 base/tps/CMakeLists.txt                            |   19 +-
 base/{ra/shared/conf => tps/doc}/CMakeLists.txt    |    0
 base/tps/{shared/conf => doc}/CS.cfg.in            | 2440 ++++++++++----------
 scripts/compose_dogtag_pki_meta_packages           |    2 +-
 scripts/compose_dogtag_pki_theme_packages          |    2 +-
 scripts/compose_ipa_pki_theme_packages             |    2 +-
 scripts/compose_pki_console_packages               |    2 +-
 scripts/compose_pki_core_packages                  |   25 +-
 scripts/compose_pki_migrate_packages               |    2 +-
 scripts/compose_pki_ra_packages                    |    2 +-
 scripts/compose_pki_tps_packages                   |    2 +-
 specs/pki-core.spec                                |   70 +-
 specs/pki-tps.spec                                 |    7 +-
 73 files changed, 1926 insertions(+), 1256 deletions(-)
 copy base/ra/{shared/conf => doc}/CMakeLists.txt (100%)
 rename base/ra/{shared/conf => doc}/CS.cfg.in (100%)
 create mode 100644 base/tps-tomcat/CMakeLists.txt
 create mode 100644 base/tps-tomcat/LICENSE
 rename base/{tps => tps-tomcat}/java/CMakeLists.txt (100%)
 rename base/{tps => tps-tomcat}/java/org/dogtagpki/tps/TPSConnection.java (100%)
 rename base/{tps => tps-tomcat}/java/org/dogtagpki/tps/TPSMessage.java (100%)
 rename base/{tps => tps-tomcat}/java/org/dogtagpki/tps/server/TPSApplication.java (100%)
 rename base/{tps => tps-tomcat}/java/org/dogtagpki/tps/server/TPSServlet.java (100%)
 rename base/{tps => tps-tomcat}/java/org/dogtagpki/tps/server/TPSSubsystem.java (100%)
 rename base/{tps => tps-tomcat}/java/org/dogtagpki/tps/token/TokenDatabase.java (100%)
 rename base/{tps => tps-tomcat}/java/org/dogtagpki/tps/token/TokenRecord.java (100%)
 rename base/{tps => tps-tomcat}/java/org/dogtagpki/tps/token/TokenService.java (100%)
 rename base/{tps => tps-tomcat}/java/pki-tps.mf (100%)
 create mode 100644 base/tps-tomcat/setup/CMakeLists.txt
 create mode 100644 base/tps-tomcat/setup/registry_instance
 rename base/{tps => tps-tomcat}/shared/conf/CMakeLists.txt (100%)
 copy base/{tps => tps-tomcat}/shared/conf/CS.cfg.in (100%)
 rename base/{tps => tps-tomcat}/shared/conf/acl.ldif (100%)
 rename base/{tps => tps-tomcat}/shared/conf/catalina.policy (100%)
 rename base/{tps => tps-tomcat}/shared/conf/catalina.properties (100%)
 rename base/{tps => tps-tomcat}/shared/conf/context.xml (100%)
 rename base/{tps => tps-tomcat}/shared/conf/database.ldif (100%)
 rename base/{tps => tps-tomcat}/shared/conf/db.ldif (100%)
 rename base/{tps => tps-tomcat}/shared/conf/etc/init.d/pki-tpsd (100%)
 rename base/{tps => tps-tomcat}/shared/conf/index.ldif (100%)
 rename base/{tps => tps-tomcat}/shared/conf/jk2.manifest (100%)
 rename base/{tps => tps-tomcat}/shared/conf/jk2.properties (100%)
 rename base/{tps => tps-tomcat}/shared/conf/jkconf.ant.xml (100%)
 rename base/{tps => tps-tomcat}/shared/conf/jkconfig.manifest (100%)
 rename base/{tps => tps-tomcat}/shared/conf/logging.properties (100%)
 rename base/{tps => tps-tomcat}/shared/conf/manager.ldif (100%)
 rename base/{tps => tps-tomcat}/shared/conf/schema.ldif (100%)
 rename base/{tps => tps-tomcat}/shared/conf/server-minimal.xml (100%)
 rename base/{tps => tps-tomcat}/shared/conf/server.xml (100%)
 rename base/{tps => tps-tomcat}/shared/conf/shm.manifest (100%)
 rename base/{tps => tps-tomcat}/shared/conf/tomcat-jk2.manifest (100%)
 rename base/{tps => tps-tomcat}/shared/conf/tomcat-users.xml (100%)
 rename base/{tps => tps-tomcat}/shared/conf/tomcat6.conf (100%)
 rename base/{tps => tps-tomcat}/shared/conf/uriworkermap.properties (100%)
 rename base/{tps => tps-tomcat}/shared/conf/web.xml (100%)
 rename base/{tps => tps-tomcat}/shared/conf/workers.properties (100%)
 rename base/{tps => tps-tomcat}/shared/conf/workers.properties.minimal (100%)
 rename base/{tps => tps-tomcat}/shared/conf/workers2.properties (100%)
 rename base/{tps => tps-tomcat}/shared/conf/workers2.properties.minimal (100%)
 rename base/{tps => tps-tomcat}/shared/etc/init.d/pki-tpsd (100%)
 rename base/{tps => tps-tomcat}/shared/lib/systemd/system/pki-tpsd.target (100%)
 rename base/{tps => tps-tomcat}/shared/lib/systemd/system/pki-tpsd@.service (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/404.html (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/500.html (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/GenUnexpectedError.template (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/META-INF/context.xml (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/WEB-INF/auth.properties (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/WEB-INF/velocity.properties (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/WEB-INF/web.xml (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/index.html (100%)
 rename base/{tps => tps-tomcat}/shared/webapps/tps/services.template (100%)
 rename base/{ra/shared/conf => tps/doc}/CMakeLists.txt (100%)
 rename base/tps/{shared/conf => doc}/CS.cfg.in (82%)

diff --git a/.classpath b/.classpath
index 0cc81a118ff43532d8b8dcbdd43b9b6572017048..abab2d31253f6ac921cd5fd07adc1e4f74e7a9de 100644
--- a/.classpath
+++ b/.classpath
@@ -16,7 +16,7 @@
 	<classpathentry kind="src" path="base/kra/functional/src"/>
 	<classpathentry kind="src" path="base/common/functional/src"/>
 	<classpathentry kind="src" path="base/ca/functional/src"/>
-	<classpathentry kind="src" path="base/tps/java"/>
+	<classpathentry kind="src" path="base/tps-tomcat/java"/>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
 	<classpathentry kind="lib" path="/usr/share/java/apache-commons-cli.jar"/>
 	<classpathentry kind="lib" path="/usr/share/java/apache-commons-logging.jar"/>
diff --git a/base/CMakeLists.txt b/base/CMakeLists.txt
index 0a8e5164754c18f77c2c9ecc8f17508c38fffb23..0dc513666425607f5ce6ff86346cc03518912187 100644
--- a/base/CMakeLists.txt
+++ b/base/CMakeLists.txt
@@ -17,6 +17,7 @@ if (APPLICATION_FLAVOR_PKI_CORE)
     add_subdirectory(kra)
     add_subdirectory(ocsp)
     add_subdirectory(tks)
+    add_subdirectory(tps)
     add_subdirectory(silent)
 
     if(WITH_JAVADOC)
diff --git a/base/ra/CMakeLists.txt b/base/ra/CMakeLists.txt
index e3e2c1eba7eaf7f431b5ee82912460cbe4102ae2..ece6713c65e100d975ccabd37eb96053fa67c11a 100644
--- a/base/ra/CMakeLists.txt
+++ b/base/ra/CMakeLists.txt
@@ -1,7 +1,7 @@
 project(ra)
 
+add_subdirectory(doc)
 add_subdirectory(setup)
-add_subdirectory(shared/conf)
 
 # install systemd scripts
 install(
diff --git a/base/tps-tomcat/CMakeLists.txt b/base/tps-tomcat/CMakeLists.txt
new file mode 100644
index 0000000000000000000000000000000000000000..5de8e022dd70ec8cd724977f59d5d94ffd28e1c1
--- /dev/null
+++ b/base/tps-tomcat/CMakeLists.txt
@@ -0,0 +1,67 @@
+project(tps Java)
+
+add_subdirectory(java)
+
+# install files
+add_subdirectory(setup)
+add_subdirectory(shared/conf)
+
+# install systemd scripts
+install(
+    FILES
+        shared/lib/systemd/system/pki-tpsd.target
+        shared/lib/systemd/system/pki-tpsd@.service
+    DESTINATION
+        ${SYSTEMD_LIB_INSTALL_DIR}
+    PERMISSIONS
+        OWNER_EXECUTE OWNER_WRITE OWNER_READ
+        GROUP_EXECUTE GROUP_READ
+        WORLD_EXECUTE WORLD_READ
+)
+
+# install init script
+install(
+    FILES
+        shared/etc/init.d/pki-tpsd
+    DESTINATION
+        ${SYSCONF_INSTALL_DIR}/rc.d/init.d
+    PERMISSIONS
+        OWNER_EXECUTE OWNER_WRITE OWNER_READ
+        GROUP_EXECUTE GROUP_READ
+        WORLD_EXECUTE WORLD_READ
+)
+
+# install directories
+install(
+    DIRECTORY
+        shared/
+    DESTINATION
+        ${SHARE_INSTALL_PREFIX}/${APPLICATION_NAME}/${PROJECT_NAME}
+    PATTERN
+        "CMakeLists.txt" EXCLUDE
+    PATTERN
+        "etc/*" EXCLUDE
+    PATTERN
+        "conf/CS.cfg.in" EXCLUDE
+    PATTERN
+        "lib/*" EXCLUDE
+)
+
+# install empty directories
+install(
+    DIRECTORY
+    DESTINATION
+        ${VAR_INSTALL_DIR}/lock/pki/tps
+)
+
+install(
+    DIRECTORY
+    DESTINATION
+        ${VAR_INSTALL_DIR}/run/pki/tps
+)
+
+install(
+    DIRECTORY
+    DESTINATION
+        ${SYSTEMD_ETC_INSTALL_DIR}/pki-tpsd.target.wants
+)
